<script language="javaScript">
<?php
  include( create_panel_control( $modo_RAD ) );
?>
/**
 *  panel_mouseClick()
 */
  function panel_mouseClick( objID )
  {
    if( objID.indexOf('panel') != -1 )
    {

    }// End if( objID.indexOf('panel') != -1 )
  }// End function panel_mouseClick( objID )

/**
 *  panel_mouseDown()
 */
  function panel_mouseDown( objID )
  {
    if( objID.indexOf('panel') != -1 )
    {

    }// End if( objID.indexOf('panel') != -1 )
  }// End function panel_mouseDown( objID )

/**
 *  panel_mouseUp()
 */
  function panel_mouseUp( objID )
  {
    if( objID.indexOf('panel') != -1 )
    {

    }// End if( objID.indexOf('panel') != -1 )
  }// End function panel_mouseUp( objID )

/**
 *  panel_mouseOver()
 */
  function panel_mouseOver( objID )
  {
    if( objID.indexOf('panel') != -1 )
    {

    }// End if( objID.indexOf('panel') != -1 )
  }// End function panel_mouseOver( objID )

/**
 *  panel_mouseOut()
 */
  function panel_mouseOut( objID )
  {
    if( objID.indexOf('panel') != -1 )
    {

    }// End if( objID.indexOf('panel') != -1 )
  }// End function panel_mouseOut( objID )

/**
 *  panel_mouseMove()
 */
  function panel_mouseMove( objID )
  {
    if( objID.indexOf('panel') != -1 )
    {

    }// End if( objID.indexOf('panel') != -1 )
  }// End function panel_mouseMove( objID )



//  ------------------------------------------------------------  //
//  Lista de Métodos do Componente                                //
//  Conjunto de funções para manipular as propriedades do Objeto  //
//  ------------------------------------------------------------  //

 /**
 	* retorna o numero do panel
 	*/
	function get_panel( objID )
	{
  	ix = objID.indexOf('_');
  	if ( ix == -1 )
  	{
    	ix = objID.length;
  	}//End if ( ix == -1 )

  	if ( objID.substr( ix -2, 1 ) == 'l' )
  	{
    	nx = 1;
  	}else
  	{
    	nx = 2;
  	}// End   if ( ix == -1 )
  	alert( objID.substr( ix -nx, nx ) );

    return objID.substr( ix -nx, nx );

	}// End function get_panel( objID )

  /**
   * Metodo setPanel_enabled
   * configura o valor para habilitar ou não o panel
   */
  function setPanel_enabled( nObj, status )
  {
    if( nObj.indexOf('_') == -1 )
    {
      objID = nObj;
      
    }else
    {
      objID = nObj;
      
    }// End if( nObj.indexOf('_') == -1 )

    objDOM = findDOM( objID, 0 );
    objDOM.disabled = !( status );

	}// End function setPanel_enabled( nObj, status )


  /**
   * Metodo setPanel_visible
   * configura o valor de visibilidade do panel
   */
  function setPanel_visible( nObj, status )
  {
    if( nObj.indexOf('_') == -1 )
    {
      objID = nObj;
    }else
    {
      objID = nObj;
    }// End if( nObj.indexOf('_') == -1 )
    objDOM = findDOM( objID, 1 );

    if( status == 'true' || status )
    {
      objDOM.visibility = "inherit";
    }else
    {
      objDOM.visibility = 'hidden';
    }// End if( status == 'true' )


  }// End function setPanel_visible( nObj, status )


 /**
   * Metodo getPanel_index
   * retorna o indice
   */
  function getPanel_index( objID )
  {
    ix = objID.indexOf('_');
    if( ix != -1 )
    {
      idx = objID.slice( 5, ix );
    }else
    {
      idx = objID.slice( 5 );
    }// End if( ix != -1 )
    return (parseInt(idx) - 1);
  }// End function getPanel_index( objID )


</script>
